using BOB.Singleton;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BOB.ViewModels.Dialogs
{
    public class ZXKSViewModel : BindableBase, IDialogAware
    {

        #region 属性
        private string _Title = "环境箱";

        public string Title
        {
            get { return _Title; }
            set { SetProperty(ref _Title, value); }
        }


        #endregion
        #region 命令


        #endregion
        private IEventAggregator _eventAggregator { get; set; }
        private Devices _devices { get; set; }
        private GlobalVariables _globalVariables { get; set; }
        public ZXKSViewModel(IContainerProvider containerProvider)
        {
            _devices = containerProvider.Resolve<Devices>();
            _globalVariables = containerProvider.Resolve<GlobalVariables>();
            _eventAggregator = containerProvider.Resolve<IEventAggregator>();
        }

        #region dialog规范
        public DialogCloseListener RequestClose { get; set; }

        public bool CanCloseDialog()
        {
            return true;
        }

        public void OnDialogClosed()
        {

        }

        public void OnDialogOpened(IDialogParameters parameters)
        {

        }
        #endregion
    }
}
